Campaigns

PUT /v1/campaigns/templates/{templateId}

Edit a campaign template.

모든 Campaigns 엔드포인트

인증

Bearer 토큰으로 API 키를 전송하세요. 이 엔드포인트는 명세에 특정 권한을 명시하지 않으므로, 가정하기보다는 키에 필요한 최소한의 권한을 부여하고 응답을 확인하세요.

조직 ID가 들어가는 위치

이 엔드포인트는 JSON 본문의 필드로 org_id을(를) 받습니다.

조직 ID는 대시보드의 API 키 화면에서 키 바로 옆에 있습니다. 이는 실행하는 모든 호출에서 동일한 ID입니다.

무료 체험하기

대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.

curl -X PUT https://api.zinndigital.com/v1/campaigns/templates/{templateId} \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "name": <string>, "subject": <string>, "body": <string> }'

로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요

상세 정보

Editing the copy marks every locale stale and re-translates it, so a template and its 58 translations cannot drift.

매개변수

이름유형필수설명
templateId (path)string

요청 본문

이름유형필수설명
fallbacksboolean아니요Preview only. Render with NO merge values, so every tag falls back and the author reads what a customer we know nothing about reads. It exists because a normal preview substitut…
namestring
subjectstring
bodystring
purposestring<marketing, transactional>아니요
channelsstring<email, in_app, slack, telegram>[]아니요
org_idstring아니요

응답

이름유형필수설명
idstring
org_idstring
namestring
purposestring<marketing, transactional>
subjectstring
bodystring
channelsstring[]
archivedboolean
created_atstring
updated_atstring

이 엔드포인트가 반환할 수 있는 오류

401 · 403 · 404 · 422